summaryrefslogtreecommitdiffstats
path: root/build_tools/go.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-04 18:07:49 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-04 18:07:49 (GMT)
commit5ab7653ae81c65b84448c71f1da6e95d55254f5a (patch)
tree19adaad4aef5736548ec397acfab41b3ffa12ce9 /build_tools/go.sh
parent429f14eea9f4c00ddd8d82f25612213df8d4af84 (diff)
downloadlinhes_dev-5ab7653ae81c65b84448c71f1da6e95d55254f5a.zip
update go.sh to work with larch7
Diffstat (limited to 'build_tools/go.sh')
-rwxr-xr-xbuild_tools/go.sh28
1 files changed, 20 insertions, 8 deletions
diff --git a/build_tools/go.sh b/build_tools/go.sh
index 6fa94e0..189d2b8 100755
--- a/build_tools/go.sh
+++ b/build_tools/go.sh
@@ -1,16 +1,16 @@
#!/bin/bash
#
-cd /build_tools/l7
-./build_all
-exit 0
+cd /build_tools/larch7
+#./build_all
+#exit 0
OLD=`pwd`
cd /build_tools
. /etc/makepkg.conf
clear
-cd clarch || exit 1
+cd larch7 || exit 1
declare -a menuarray
-menuarray=( `ls larch/profiles/ |grep $CARCH`)
+menuarray=( `ls larch0/profiles/ |grep $CARCH`)
echo ${array1[@]}
element_count=${#menuarray[*]}
@@ -45,8 +45,9 @@ echo $profile
# profile=${menuarray[3]}
#fi
-echo "Running ./mklarch -f -p larch/profiles/$profile"
-time ./mklarch -f -c /tmp/$profile -p larch/profiles/$profile
+echo "Running larch for $profile"
+#time ./mklarch -f -c /tmp/$profile -p larch/profiles/$profile
+time ./larch-archin -f -p larch0/profiles/$profile install && ./larch-larchify -p larch0/profiles/$profile && ./larch-live_iso -p larch0/profiles/$profile
if [ $profile = "MV-local" ]
then
@@ -54,7 +55,18 @@ then
mv /home/larchroot/.larch/mylivecd.iso /tmp/MV-2.iso
else
echo "your $profile iso has been moved to /tmp/testcd-2.iso"
- mv /home/larchroot/.larch/mylivecd.iso /tmp/testcd-2.iso
+ if [ -e linhes.iso ]
+ then
+ echo "moving linhes.iso to /tmp/test2.iso"
+ mv linhes.iso /tmp/test2.iso
+ ls -lah /tmp/test2.iso
+ fi
+
fi
date
cd $OLD
+
+
+
+
+